Subject: CCL: Changing SYSV parameters for parallel GAMESS

From: Dr Seth OLSEN <s.olsen1~at~uq.edu.au>
Date: Wed, 10 Nov 2004 17:41:35 +1000

Dear Collegues,

I recently installed and ran parallel GAMESS using DDI on a 2CPU Xeon machine with hyperthreading (4 virtual CPU's).  I ran through the entire included test set using 4, 2 and 1 cpus and found interesting results for the timings.  The time to run gamess seemed to be by far lowest with 1cpu, and 2,4 cpus scaled about linearly against each other.  However, running on 2 or 4 nodes resulted in very, very low cpu usage (<10%) and longer cpu and wall times.  At this point I extended the sysV shared memory from 33MB to 1GB, thinking that this was why there was no improvement in time with parallel use.  What I found after this was that 1) the computer was significantly slowed down for everything, even mundane tasks 2) the cpu usage was marginally improved for 2 & 4 node use, but was reduced for 1 node use 3) the wall time was made longer in all cases and had no obvious correlation with the number of nodes used.  

Can any of the discussion group member shed light on these observations?  Should I have increased the SYSV shared memory?  Should I increase the number of semaphores as well?  What kind of improvements should I expect using parallel GAMESS?

Cheers,

Seth Olsen

ccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccms

Dr Seth Olsen, PhD
Postdoctoral Fellow, Computational Systems Biology Group
Centre for Computational Molecular Science
Chemistry Building,
The University of Queensland
Qld 4072, Brisbane, Australia

tel (617) 33653732
fax (617) 33654623
email: s.olsen1~at~uq.edu.au
Web: www.ccms.uq.edu.au 

ccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccmsccms